---
references:
- id: AberdamMultiLayer2019
  author:
    - family: Aberdam
      given: Aviad
    - family: Sulam
      given: Jeremias
    - family: Elad
      given: Michael
  citation-key: AberdamMultiLayer2019
  container-title: SIAM Journal on Mathematics of Data Science
  DOI: 10.1137/18M1183352
  issue: '1'
  issued:
    - year: 2019
  page: 46–77
  title: 'Multi-Layer Sparse Coding: The Holistic Way'
  type: article-journal
  volume: '1'

- id: AroraSimple2015
  accessed:
    - year: 2018
      month: 7
      day: 17
  author:
    - family: Arora
      given: Sanjeev
    - family: Ge
      given: Rong
    - family: Ma
      given: Tengyu
    - family: Moitra
      given: Ankur
  citation-key: AroraSimple2015
  container-title: Proceedings of The 28th Conference on Learning Theory
  event-place: Paris, France
  event-title: Conference on Learning Theory
  issued:
    - year: 2015
      month: 6
      day: 26
  language: en
  page: 113-149
  publisher: PMLR
  publisher-place: Paris, France
  title: Simple, efficient, and neural algorithms for sparse coding
  type: paper-conference
  URL: http://proceedings.mlr.press/v40/Arora15.html
  volume: '40'

- id: BarronApproximation1994
  accessed:
    - year: 2016
      month: 7
      day: 11
  author:
    - family: Barron
      given: Andrew R.
  citation-key: BarronApproximation1994
  container-title: Machine Learning
  DOI: 10.1023/A:1022650905902
  ISSN: 0885-6125
  issue: '1'
  issued:
    - year: 1994
      month: 1
  page: 115–133
  title: Approximation and Estimation Bounds for Artificial Neural Networks
  type: article-journal
  URL: >-
    http://www.stat.yale.edu/~arb4/publications_files/approximation%20and%20estimation%20bounds%20for%20artificial%20neural%20networks.pdf
  volume: '14'

- id: BradleyDifferentiable2008
  accessed:
    - year: 2021
      month: 3
      day: 8
  author:
    - family: Bradley
      given: David M.
    - family: Bagnell
      given: J. Andrew
  citation-key: BradleyDifferentiable2008
  collection-title: NIPS'08
  container-title: >-
    Proceedings of the 21st International Conference on Neural Information
    Processing Systems
  DOI: 10.1184/R1/6552635.v1
  event-place: Red Hook, NY, USA
  ISBN: 978-1-60560-949-2
  issued:
    - year: 2008
      month: 12
      day: 8
  page: 113–120
  publisher: Carnegie Mellon University
  publisher-place: Red Hook, NY, USA
  title: Differentiable sparse coding
  type: paper-conference

- id: ChenTheoretical2018
  accessed:
    - year: 2021
      month: 6
      day: 9
  author:
    - family: Chen
      given: Xiaohan
    - family: Liu
      given: Jialin
    - family: Wang
      given: Zhangyang
    - family: Yin
      given: Wotao
  citation-key: ChenTheoretical2018
  collection-title: NIPS'18
  container-title: >-
    Proceedings of the 32nd International Conference on Neural Information
    Processing Systems
  event-place: Red Hook, NY, USA
  issued:
    - year: 2018
      month: 12
      day: 3
  page: 9079–9089
  publisher: Curran Associates Inc.
  publisher-place: Red Hook, NY, USA
  title: >-
    Theoretical linear convergence of unfolded ISTA and its practical weights
    and thresholds
  type: paper-conference
  URL: http://arxiv.org/abs/1808.10038

- id: ChiFast2020
  accessed:
    - year: 2020
      month: 12
      day: 10
  author:
    - family: Chi
      given: Lu
    - family: Jiang
      given: Borui
    - family: Mu
      given: Yadong
  citation-key: ChiFast2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  language: en
  title: Fast Fourier Convolution
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc//paper_files/paper/2020/hash/2fd5d41ec6cfab47e32164d5624269b1-Abstract.html
  volume: '33'

- id: GregorEfficient2011
  author:
    - family: Gregor
      given: Karol
    - family: LeCun
      given: Yann
  citation-key: GregorEfficient2011
  container-title: arXiv:1105.5307 [cs]
  issued:
    - year: 2011
      month: 5
      day: 26
  title: Efficient Learning of Sparse Invariant Representations
  type: article-journal
  URL: http://arxiv.org/abs/1105.5307

- id: GregorLearning2010
  author:
    - family: Gregor
      given: Karol
    - family: LeCun
      given: Yann
  citation-key: GregorLearning2010
  container-title: >-
    Proceedings of the 27th International Conference on Machine Learning
    (ICML-10)
  event-title: 27th International Conference on Machine Learning, ICML 2010
  issued:
    - year: 2010
  language: English (US)
  page: 399–406
  title: Learning fast approximations of sparse coding
  type: paper-conference
  URL: http://yann.lecun.com/exdb/publis/pdf/gregor-icml-10.pdf

- id: KnudsonInferring2014
  accessed:
    - year: 2016
      month: 4
      day: 18
  author:
    - family: Knudson
      given: Karin C
    - family: Yates
      given: Jacob
    - family: Huk
      given: Alexander
    - family: Pillow
      given: Jonathan W
  citation-key: KnudsonInferring2014
  container-title: Advances in Neural Information Processing Systems 27
  editor:
    - family: Ghahramani
      given: Z.
    - family: Welling
      given: M.
    - family: Cortes
      given: C.
    - family: Lawrence
      given: N. D.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2014
  page: 1215–1223
  publisher: Curran Associates, Inc.
  title: >-
    Inferring sparse representations of continuous signals with continuous
    orthogonal matching pursuit
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5264-inferring-sparse-representations-of-continuous-signals-with-continuous-orthogonal-matching-pursuit.pdf
  volume: '27'

- id: LemhadriLassoNet2021
  accessed:
    - year: 2021
      month: 6
      day: 10
  author:
    - family: Lemhadri
      given: Ismael
    - family: Ruan
      given: Feng
    - family: Abraham
      given: Louis
    - family: Tibshirani
      given: Robert
  citation-key: LemhadriLassoNet2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '127'
  issued:
    - year: 2021
  page: 1-29
  title: 'LassoNet: A Neural Network with Feature Sparsity'
  type: article-journal
  URL: http://jmlr.org/papers/v22/20-848.html
  volume: '22'

- id: LiFourier2020
  accessed:
    - year: 2020
      month: 11
      day: 17
  author:
    - family: Li
      given: Zongyi
    - family: Kovachki
      given: Nikola
    - family: Azizzadenesheli
      given: Kamyar
    - family: Liu
      given: Burigede
    - family: Bhattacharya
      given: Kaushik
    - family: Stuart
      given: Andrew
    - family: Anandkumar
      given: Anima
  citation-key: LiFourier2020
  container-title: arXiv:2010.08895 [cs, math]
  issued:
    - year: 2020
      month: 10
      day: 17
  title: Fourier Neural Operator for Parametric Partial Differential Equations
  type: article-journal
  URL: http://arxiv.org/abs/2010.08895

- id: LiuStatistical2020
  accessed:
    - year: 2021
      month: 2
      day: 21
  author:
    - family: Liu
      given: Xiao
    - family: Yeo
      given: Kyongmin
    - family: Lu
      given: Siyuan
  citation-key: LiuStatistical2020
  container-title: Journal of the American Statistical Association
  DOI: 10.1080/01621459.2020.1863223
  ISSN: 0162-1459
  issue: '0'
  issued:
    - year: 2020
      month: 12
      day: 14
  page: 1-18
  publisher: Taylor & Francis
  title: >-
    Statistical Modeling for Spatio-Temporal Data From Stochastic
    Convection-Diffusion Processes
  type: article-journal
  volume: '0'

- id: MongaAlgorithm2021
  author:
    - family: Monga
      given: Vishal
    - family: Li
      given: Yuelong
    - family: Eldar
      given: Yonina C.
  citation-key: MongaAlgorithm2021
  container-title: IEEE Signal Processing Magazine
  DOI: 10.1109/MSP.2020.3016905
  ISSN: 1558-0792
  issue: '2'
  issued:
    - year: 2021
      month: 3
  page: 18-44
  title: >-
    Algorithm Unrolling: Interpretable, Efficient Deep Learning for Signal and
    Image Processing
  type: article-journal
  volume: '38'

- id: OreshkinNBEATS2020
  accessed:
    - year: 2021
      month: 6
      day: 18
  author:
    - family: Oreshkin
      given: Boris N.
    - family: Carpov
      given: Dmitri
    - family: Chapados
      given: Nicolas
    - family: Bengio
      given: Yoshua
  citation-key: OreshkinNBEATS2020
  container-title: arXiv:1905.10437 [cs, stat]
  issued:
    - year: 2020
      month: 2
      day: 20
  title: >-
    N-BEATS: Neural basis expansion analysis for interpretable time series
    forecasting
  type: article-journal
  URL: http://arxiv.org/abs/1905.10437

- id: PapyanConvolutional2017
  author:
    - family: Papyan
      given: Vardan
    - family: Romano
      given: Yaniv
    - family: Elad
      given: Michael
  citation-key: PapyanConvolutional2017
  container-title: The Journal of Machine Learning Research
  container-title-short: J. Mach. Learn. Res.
  ISSN: 1532-4435
  issue: '1'
  issued:
    - year: 2017
      month: 1
      day: 1
  page: 2887–2938
  title: Convolutional neural networks analyzed via convolutional sparse coding
  type: article-journal
  URL: http://arxiv.org/abs/1607.08194
  volume: '18'

- id: PapyanTheoretical2018
  author:
    - family: Papyan
      given: Vardan
    - family: Romano
      given: Yaniv
    - family: Sulam
      given: Jeremias
    - family: Elad
      given: Michael
  citation-key: PapyanTheoretical2018
  container-title: IEEE Signal Processing Magazine
  DOI: 10.1109/MSP.2018.2820224
  issue: '4'
  issued:
    - year: 2018
  page: 72–89
  title: >-
    Theoretical foundations of deep learning via sparse representations: A
    multilayer sparse model and its connection to convolutional neural networks
  type: article-journal
  URL: >-
    https://elad.cs.technion.ac.il/wp-content/uploads/2018/06/theoretical-foundations-deep-learning-sparse-representation.pdf
  volume: '35'

- id: PapyanWorking2017
  author:
    - family: Papyan
      given: Vardan
    - family: Sulam
      given: Jeremias
    - family: Elad
      given: Michael
  citation-key: PapyanWorking2017
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2017.2733447
  issue: '21'
  issued:
    - year: 2017
  page: 5687–5701
  title: >-
    Working locally thinking globally: Theoretical guarantees for convolutional
    sparse coding
  type: article-journal
  URL: http://arxiv.org/abs/1707.06066
  volume: '65'

- id: RackauckasEssential2019
  accessed:
    - year: 2019
      month: 8
      day: 27
  author:
    - family: Rackauckas
      given: Christopher
  citation-key: RackauckasEssential2019
  DOI: 10.15200/winn.156631.13064
  issued:
    - year: 2019
      month: 8
      day: 20
  language: en
  title: The Essential Tools of Scientific Machine Learning (Scientific ML)
  type: article
  URL: https://authorea.com/doi/full/10.15200/winn.156631.13064

- id: SulamMultilayer2018
  author:
    - family: Sulam
      given: Jeremias
    - family: Papyan
      given: Vardan
    - family: Romano
      given: Yaniv
    - family: Elad
      given: Michael
  citation-key: SulamMultilayer2018
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2018.2846226
  issue: '15'
  issued:
    - year: 2018
  page: 4090–4104
  title: 'Multilayer convolutional sparse modeling: Pursuit and dictionary learning'
  type: article-journal
  volume: '66'

- id: SulamMultiLayer2020
  author:
    - family: Sulam
      given: Jeremias
    - family: Aberdam
      given: Aviad
    - family: Beck
      given: Amir
    - family: Elad
      given: Michael
  citation-key: SulamMultiLayer2020
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  DOI: 10.1109/TPAMI.2019.2904255
  ISSN: 1939-3539
  issue: '8'
  issued:
    - year: 2020
      month: 8
  page: 1968-1980
  title: >-
    On Multi-Layer Basis Pursuit, Efficient Algorithms and Convolutional Neural
    Networks
  type: article-journal
  URL: http://arxiv.org/abs/1708.08705
  volume: '42'
...
